%define upstream_name    Dancer2
%define upstream_version 1.1.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Lightweight yet powerful web application framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dancer2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(CLI::Osprey)
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.620
BuildRequires: perl(Capture::Tiny) >= 0.120.0
BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(Config::Any)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Share)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Headers::Fast) >= 0.210.0
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(HTTP::XSCookies) >= 0.0.7
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(Hash::MultiValue)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Import::Into)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::Util) >= 1.290.0
BuildRequires: perl(MIME::Base64) >= 3.130.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(POSIX)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Plack) >= 1.4.0
BuildRequires: perl(Plack::Middleware::FixMissingBodyInRedirect)
BuildRequires: perl(Plack::Middleware::RemoveRedundantBody)
BuildRequires: perl(Pod::Simple::SimpleTree)
BuildRequires: perl(Ref::Util)
BuildRequires: perl(Role::Tiny) >= 2.0.0
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Template)
BuildRequires: perl(Template::Tiny)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::EOL)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Type::Tiny) >= 1.0.6
BuildRequires: perl(Types::Standard)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(YAML) >= 0.860.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This is the main module for the Dancer2 distribution. It contains logic for
creating a new Dancer2 application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml examples
%{_bindir}/dancer2
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jan 24 2025 tv <tv> 1.1.2-1.mga10
+ Revision: 2141505
- update to 1.1.2

* Wed Jul 24 2024 tv <tv> 1.1.1-1.mga10
+ Revision: 2082454
- update to 1.1.1

* Fri Dec 15 2023 tv <tv> 1.1.0-1.mga10
+ Revision: 2018232
- update to 1.1.0

* Wed Oct 11 2023 tv <tv> 1.0.0-1.mga10
+ Revision: 1994749
- update to 1.0.0

* Mon Feb 20 2023 tv <tv> 0.400.1-1.mga9
+ Revision: 1944261
- update to 0.400001

* Thu Mar 17 2022 tv <tv> 0.400.0-1.mga9
+ Revision: 1796506
- update to 0.400000

* Tue Jun 08 2021 tv <tv> 0.301.4-1.mga9
+ Revision: 1730135
- update to 0.301004

* Tue Apr 20 2021 tv <tv> 0.301.2-1.mga9
+ Revision: 1717542
- update to 0.301002

* Fri Mar 19 2021 tv <tv> 0.301.1-1.mga9
+ Revision: 1704790
- update to 0.301001

* Thu Feb 25 2021 tv <tv> 0.300.5-1.mga9
+ Revision: 1691266
- update to 0.300005

* Wed May 27 2020 shlomif <shlomif> 0.300.4-1.mga8
+ Revision: 1588136
- update to 0.300004

* Thu Apr 09 2020 shlomif <shlomif> 0.300.3-1.mga8
+ Revision: 1565884
- update to 0.300003

* Wed Apr 08 2020 tv <tv> 0.300.2-1.mga8
+ Revision: 1565520
- update to 0.300002

* Mon Apr 06 2020 shlomif <shlomif> 0.300.1-1.mga8
+ Revision: 1565276
- update to 0.300001

* Tue Feb 18 2020 umeabot <umeabot> 0.300.0-2.mga8
+ Revision: 1541349
- Mageia 8 Mass Rebuild

* Wed Dec 25 2019 tv <tv> 0.300.0-1.mga8
+ Revision: 1469995
- update to 0.300000

* Mon Dec 16 2019 tv <tv> 0.208.2-1.mga8
+ Revision: 1468235
- update to 0.208002

* Tue Aug 06 2019 tv <tv> 0.208.1-1.mga8
+ Revision: 1427735
- update to 0.208001

* Sat Jun 29 2019 shlomif <shlomif> 0.208.0-1.mga8
+ Revision: 1415495
- update to 0.208000

* Fri Nov 16 2018 tv <tv> 0.207.0-1.mga7
+ Revision: 1330085
- update to 0.207000

* Thu Sep 20 2018 umeabot <umeabot> 0.206.0-2.mga7
+ Revision: 1282620
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 shlomif <shlomif> 0.206.0-1.mga7
+ Revision: 1220381
- New version 0.206

* Tue Oct 24 2017 shlomif <shlomif> 0.205.2-1.mga7
+ Revision: 1173474
- update to 0.205002

* Mon Oct 02 2017 tv <tv> 0.205.1-2.mga7
+ Revision: 1163740
- rebuild with fixed rpm for missing autodeps

* Tue Sep 26 2017 guillomovitch <guillomovitch> 0.205.1-1.mga7
+ Revision: 1159897
- new version 0.205001
+ tv <tv>
- new release

* Sat Jun 18 2016 pterjan <pterjan> 0.166.1-2.mga6
+ Revision: 1024781
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.166.1-1.mga6
+ Revision: 1001789
- New version 0.166001

* Fri Feb 19 2016 umeabot <umeabot> 0.162.0-2.mga6
+ Revision: 969630
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 0.162.0-1.mga6
+ Revision: 873452
- update to 0.162000

* Wed Jul 08 2015 sander85 <sander85> 0.161.0-1.mga6
+ Revision: 852855
- update to 0.161000

* Sun Jul 05 2015 sander85 <sander85> 0.160.3-1.mga6
+ Revision: 851114
- update to 0.160003

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 746422
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-2.mga5
+ Revision: 684179
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 664783
- update to 0.150000

* Mon Jul 07 2014 sander85 <sander85> 0.143.0-1.mga5
+ Revision: 650418
- update to 0.143000

* Thu Jun 26 2014 jquelin <jquelin> 0.142.0-1.mga5
+ Revision: 639959
- update to 0.142000

* Tue Jun 10 2014 sander85 <sander85> 0.141.0-1.mga5
+ Revision: 635456
- update to 0.141000

* Tue May 06 2014 jquelin <jquelin> 0.140.1-1.mga5
+ Revision: 620526
- update to 0.140001

* Tue Apr 15 2014 jquelin <jquelin> 0.130.0-1.mga5
+ Revision: 614696
- update to 0.13

* Sat Feb 08 2014 sander85 <sander85> 0.110.0-1.mga5
+ Revision: 586510
- update to 0.11

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-2.mga4
+ Revision: 534006
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.90.0-1.mga4
+ Revision: 476000
- update to 0.09

* Mon Aug 19 2013 sander85 <sander85> 0.80.0-1.mga4
+ Revision: 467809
- update to 0.08

* Sun Aug 04 2013 sander85 <sander85> 0.70.0-1.mga4
+ Revision: 463522
- update to 0.07

* Wed Jul 31 2013 sander85 <sander85> 0.60.0-1.mga4
+ Revision: 461448
- update to 0.06

* Mon Jul 22 2013 sander85 <sander85> 0.50.0-1.mga4
+ Revision: 457083
- update to 0.05

* Thu Mar 28 2013 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 406000
- imported package perl-Dancer2

